# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class SitemapsFeed

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<SitemapsFeed,SitemapsEntry>
                      com.google.gdata.data.webmastertools.SitemapsFeed

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor

    public class SitemapsFeed

extends BaseFeed<SitemapsFeed,SitemapsEntry>

The SitemapsFeed class customizes the generic BaseFeed class to define a feed of sitemaps that Webmaster Tools user has for a given site. It also lists available options for News and Mobile sitemap at the feed level. User is supposed to pick one of the options when submitting Mobile or News sitemap. Example:

           ...

             HTML
             WAP

             Value1
             Value2
             Value3

           <entry>..</entry>
           ...
         <feed>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SitemapsFeed()` Constructs a new `SitemapsFeed` instance that is parameterized to contain `SitemapsEntry` instances.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`SitemapMobile` `getSitemapMobile()` Sets the mobile sitemap options.
`SitemapNews` `getSitemapNews()` Sets the News sitemap options.
`void` `setSitemapMobile(SitemapMobile sitemap)` Sets the mobile sitemap options.
`void` `setSitemapNews(SitemapNews sitemap)` Sets the News sitemap options.

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, generateRss, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setService, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### SitemapsFeed

    public SitemapsFeed()

  Constructs a new `SitemapsFeed` instance that is parameterized to contain `SitemapsEntry` instances.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseFeed<SitemapsFeed,SitemapsEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getSitemapMobile

    public SitemapMobile getSitemapMobile()

  Sets the mobile sitemap options. The user is supposed to pick one of the options specified in this sitemap when submitting a mobile sitemap.

### setSitemapMobile

    public void setSitemapMobile(SitemapMobile sitemap)

  Sets the mobile sitemap options. The user is supposed to pick one of the options specified in this sitemap when submitting a mobile sitemap.

### getSitemapNews

    public SitemapNews getSitemapNews()

  Sets the News sitemap options. The user is supposed to pick one of the options specified in this sitemap when submitting a News sitemap.

### setSitemapNews

    public void setSitemapNews(SitemapNews sitemap)

  Sets the News sitemap options. The user is supposed to pick one of the options specified in this sitemap when submitting a News sitemap.